Package net.snowflake.client.core.structs

## Class SQLDataCreationHelper

- java.lang.Object
- - net.snowflake.client.core.structs.SQLDataCreationHelper

    @SnowflakeJdbcInternalApi
    public class SQLDataCreationHelper
    extends Object

### Constructor Summary

Constructors
`SQLDataCreationHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> T` `create​(Class<T> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLDataCreationHelper

    public SQLDataCreationHelper()

### Method Detail

#### create

    public static <T> T create​(Class<T> type)
                        throws SQLException

Throws:
  `SQLException`